Program Pajura;

CONST DIM = 1000;
      INFILE = 'pajura.in';
      OUTFILE = 'pajura.out';

Var M: Array[1..DIM, 1..DIM] Of Char;
    Fin, Fout: Text;
    L, C: Integer;

Procedure Citire;
Var i, j: Integer;
Begin
  For i := 1 To L Do
    Begin
      For j := 1 To C Do Read(Fin, M[i, j]);
      ReadLn(Fin)
    End;
End;

Procedure SwapLinie(l: Integer);
Var j: Integer;         {inversez linia l}
Begin
  For j := 1 To C Do
    If M[l, j]='C' Then
      M[l, j] := 'P'      {cap---->pajura}
    Else
      M[l, j] := 'C'      {pajura---->cap}
End;

Function Coloana(c: Integer): Boolean;
Var i: Integer;
    OK: Boolean;
Begin
  OK := TRUE;
  i := 2;
  While (i<=L) AND OK Do
    Begin
      If M[i, c]<>M[1, c] Then OK := FALSE;
      Inc(i)
    End;
  Coloana := OK
End;

Function Verifica: Boolean;
Var i, j: Integer;
    OK: Boolean;
Begin
  For i := 1 To L Do                  {transform prima linie}
    If M[i][1]='C' Then SwapLinie(i); {ca sa am in primaa coloana pajura}
  OK := TRUE;
  j := 2;                             {verific coloanele 2...C}
  While (j<=C) AND OK Do                  {daca sunt formate din acelasi}
    Begin                                 {caracter... se poate}
      If NOT Coloana(j) Then OK := FALSE; {altfel NU}
      Inc(j)
    End;
  Verifica := OK
End;

Begin
  Assign(Fin, INFILE); Reset(Fin);
  Assign(Fout, OUTFILE); ReWrite(Fout);
  ReadLn(Fin, L, C);
  While (L<>0) AND (C<>0) Do
    Begin
      Citire;
      If Verifica Then
        WriteLn(Fout, '1')
      Else
        WriteLn(Fout, '0');
      ReadLn(Fin, L, C);
    End;
  Close(Fout);
  Close(Fin)
End.
